<!DOCTYPE html>
<html lang="de">
<head title="pdf_file_generation">
    <meta charset="UTF-8">
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
    {% endblock %}

    {{ encore_entry_link_tags('property_vacancy_management/building_unit/location_map') }}

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Verdana:400,500,600,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Calibri:400,700">
    <style>
        html {
            -webkit-print-color-adjust: exact;
        }

        body {
            margin: 0;
        }

        @page {
            font-family: Verdana, sans-serif;
            size: A4;
            margin: 150px 0 58px 0;
            border: none;
        }

        #footer {
            font-family: Verdana, sans-serif;
            font-size: 9pt;
            position: fixed;
            left: 0;
            right: 0;
            bottom: 0;
            height: 30px;
            background: white;
            margin-top: 10px;
            display: block;
        }

        .footerBorder {
            border-bottom: {{ buildingUnit.getAccount().getAccountConfiguration().getSecondaryColor() }} solid 2px;
            margin-top: 17px;
        }

        .content {
            position: relative;
            margin: 0pt 33pt 20pt;
        }

        .inner_title {
            color: {{ buildingUnit.getAccount().getAccountConfiguration().getPrimaryColor() }};
            font-size: 9.12pt;
            font-weight: bold;
            margin-top: 16pt;
            margin-bottom: 6pt;
        }

        .object_images {
            color: {{ buildingUnit.getAccount().getAccountConfiguration().getSecondaryColor() }};
            font-size: 9.12pt;
            font-weight: bold;
        }

        .legal {
            font-size: 9pt;
            font-family: 'Calibri', sans-serif;
        }

        .label {
            color: #757070 !important;
            font-size: 7pt;
            margin-top: 2px;
        }

        .value {
            font-size: 9pt;
        }

        .objekt-images {
            max-width: 170pt;
            max-height: 170pt;
        }

        .map-images {
            max-width: 170pt;
            object-fit: cover;
            min-width: 170pt;
        }

        table {
            table-layout: fixed;
            width: 100%;
        }

        .inside {
            margin-bottom: -35pt;
            overflow: auto;
        }

        .inside td {
            min-width: 109pt;
            display: inline-block;
            margin-right: 10px;
        }

        .inside tr {
            border-spacing: 15pt !important;
            height: 33pt;
        }

        .description {
            font-size: 9pt;
            margin-right: 15pt;
        }

        .pageBreak {
            page-break-before: avoid;
            page-break-after: auto;
            display: inline-block;
            padding-right: 5px;
            overflow: auto;
        }

        .breakAfter {
            page-break-after: auto;
        }
    </style>
</head>
<body>
<div class="content" style="font-family: Verdana, sans-serif; ">
    <div style="width: 67%; float: left;  margin-top: -12pt">
        <p class="inner_title" style="margin-top: 0pt;">Objekt</p>
        <table class="inside" style="border-spacing: 0">
            <tr class="breakAfter">
                {% if buildingUnit.getAddress() != null %}
                    <td colspan="2">
                        <div class="value">{{ buildingUnit.getAddress().getStreetName() }} {{ buildingUnit.getAddress().getHouseNumber() }}</div>
                        <div class="label">Straße, Hausnr.</div>
                    </td>
                    <td colspan="2">
                        {% if buildingUnit.getAddress().getQuarterPlace() != null %}
                            {% set quarterPlace = '(' ~ buildingUnit.getAddress().getQuarterPlace().getPlaceName() ~ ')' %}
                        {% else %}
                            {% set quarterPlace = '' %}
                        {% endif %}
                        <div class="value">{{ buildingUnit.getAddress().getPostalCode() }} {{ buildingUnit.getAddress().getPlace.getPlaceName() }} {{ quarterPlace }}</div>
                        <div class="label">PLZ, Ort (Stadtteil)</div>
                    </td>
                {% endif %}
            </tr>
            {% if (buildingUnit.getInFloors() != null and buildingUnit.getInFloors()|length > 0) or buildingUnit.getBuilding().getLocationCategory() != null %}
            <tr class="breakAfter">
                {% if buildingUnit.getInFloors() != null and buildingUnit.getInFloors()|length > 0 %}
                    <td colspan="2">
                        <div class="value">
                            {{ buildingUnit.getInFloors()|join(', ') }}
                        </div>
                        <div class="label">in Etage(e)</div>
                    </td>
                {% endif %}
                {% if buildingUnit.getBuilding().getLocationCategory() != null %}
                    <td colspan="2">
                        <div class="value">
                            {{ buildingUnit.getBuilding().getLocationCategory().getName() }}
                        </div>
                        <div class="label">Lagekategorie</div>
                    </td>
                {% endif %}
            </tr>
            {% endif %}
            {% if (buildingUnit.getPropertyMarketingInformation.getPossibleUsageIndustryClassifications() != null and buildingUnit.getPropertyMarketingInformation.getPossibleUsageIndustryClassifications()|length > 0) %}
            <tr class="breakAfter">
                <td>
                    <div class="value">
                        {% set j = 0 %}
                        {% for usage in buildingUnit.getPropertyMarketingInformation.getPossibleUsageIndustryClassifications() %}
                            {% if j > 0 %} / {% endif %}{{ usage.getName() }}
                            {% set j = j + 1 %}
                        {% endfor %}
                    </div>
                    <div class="label" style="margin-bottom: 12pt">Mögliche Nutzung</div>
                </td>
            </tr>
            {% endif %}
            {% if (buildingUnit.getInFloors() != null and buildingUnit.getInFloors()|length > 0) or buildingUnit.getBuilding().getLocationCategory() != null %}
            <tr class="breakAfter">
                {% if buildingUnit.getNumberOfParkingLots() != null %}
                    <td colspan="2">
                        <div class="value">{{ buildingUnit.getNumberOfParkingLots() }}</div>
                        <div class="label">Anzahl Stellplätze</div>
                    </td>
                {% endif %}
                <td></td>
            </tr>
            {% endif %}
            <tr class="breakAfter">
                <td rowspan="3">
                    <p class="inner_title">Flächen und Maße</p>
                </td>
            </tr>
            {% set count = 0 %}
            <tr class="breakAfter">
                {% set alreadyUsedSpacesData = [] %}
                {% for singleSpaceData in spacesData %}
                {% if singleSpaceData.label in ['Gesamtfläche', 'Verkaufsfläche', 'Gastrofläche', 'Lagerfläche', 'Nebenfläche'] and singleSpaceData.label not in alreadyUsedSpacesData %}
                <td>
                    <div class="value">{{ singleSpaceData.value| raw }}</div>
                    <div class="label">{{ singleSpaceData.label }}</div>
                </td>
                {% set alreadyUsedSpacesData = alreadyUsedSpacesData|merge([singleSpaceData.label]) %}
                {% set count = count + 1 %}
                {% if count % 3 == 0 %}
            </tr>
            <tr>
                {% endif %}
                {% endif %}
                {% endfor %}
            </tr>
            {% set count = 0 %}
            <tr class="breakAfter">
                {% if buildingUnit.getShopWindowFrontWidth() != null %}
                    <td>
                        <div class="value">{{ buildingUnit.getShopWindowFrontWidth()|number_format(2, ',','.') }} m</div>
                        <div class="label">Schaufenster</div>
                    </td>
                    {% set count = count + 1 %}
                {% endif %}
                {% if buildingUnit.getShopWidth() != null %}
                    <td>
                        <div class="value">{{ buildingUnit.getShopWidth()|number_format(2, ',','') }} m</div>
                        <div class="label">Ladenbreite</div>
                    </td>
                    {% set count = count + 1 %}
                {% endif %}
                {% if buildingUnit.isShowroomAvailable() == true %}
                <td>
                    <div class="value">ja</div>
                    <div class="label">Showroom vorhanden</div>
                </td>
                    {% set count = count + 1 %}
                {% endif %}
                {% if count % 3 == 0 %}
            </tr>
            <tr class="breakAfter">
                {% endif %}
                {% if buildingUnit.isGroundLevelSalesArea() == true %}
                    <td>
                        <div class="value">ja</div>
                        <div class="label">ebenerdige Verkaufsfläche</div>
                    </td>
                    {% set count = count + 1 %}
                {% endif %}
                {% if count % 3 == 0 %}
            </tr>
            <tr class="breakAfter">
                {% endif %}
                {% if buildingUnit.getBarrierFreeAccess() != null %}
                    <td>
                            <div class="value">{{ buildingUnit.getBarrierFreeAccess().getName() }}</div>
                            <div class="label">barrierefreier Zugang</div>
                    </td>
                    {% set count = count + 1 %}
                {% endif %}
                {% if count == 2 %}
                    <td></td>
                {% elseif count == 1 %}
                    <td></td><td></td>
                {% endif %}
            </tr>
            <tr class="breakAfter">
                <td rowspan="3">
                    <p class="inner_title">Konditionen</p>
                </td>
            </tr>
            <tr class="breakAfter">
                <td>
                    {% if buildingUnit.getPropertyMarketingInformation() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType() != null %}
                        <div class="value">{{ buildingUnit.getPropertyMarketingInformation.getPropertyOfferType().getName() }}</div>
                        <div class="label">Angebotsart</div>
                    {% endif %}
                </td>
                <td>
                    {% if buildingUnit.getPropertyMarketingInformation() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType().value == constant('App\\Domain\\Entity\\PropertyOfferType::PURCHASE').value %}
                        <div class="value">auf Anfrage</div>
                        <div class="label">Kaufpreis</div>
                    {% elseif buildingUnit.getPropertyMarketingInformation() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType().value == constant('App\\Domain\\Entity\\PropertyOfferType::RENT').value %}
                        <div class="value">auf Anfrage</div>
                        <div class="label">Kaltmiete</div>
                    {% elseif buildingUnit.getPropertyMarketingInformation() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType() != null and buildingUnit.getPropertyMarketingInformation.getPropertyOfferType().value == constant('App\\Domain\\Entity\\PropertyOfferType::LEASE').value %}
                        <div class="value">auf Anfrage</div>
                        <div class="label">Pacht</div>
                    {% endif %}
                </td>
            </tr>
            {% if buildingUnit.getPropertyMarketingInformation() != null and buildingUnit.getPropertyMarketingInformation.getPropertyPricingInformation() != null and buildingUnit.getPropertyMarketingInformation.getPropertyPricingInformation().isCommissionable() == true %}
                <tr class="breakAfter">
                    <td>
                            <div class="value">ja</div>
                            <div class="label">provisionspflichtig</div>
                    </td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            <tr style="page-break-before:auto;">
                <td rowspan="3">
                    {% if buildingUnit.getDescription() != null %}
                        <p class="inner_title">Objektbeschreibung</p>
                        <p class="description"> {{ buildingUnit.getDescription()|nl2br }}</p>
                    {% endif %}
                </td>
            </tr>
            <tr>
                <td rowspan="3">
                    {% if buildingUnit.getPlaceDescription() != null %}
                        <p class="inner_title">Lagebeschreibung</p>
                        <p class="description">{{ buildingUnit.getPlaceDescription()|nl2br }}</p>
                    {% endif %}
                </td>
            </tr>
            <tr class="breakAfter">
                <td>
                    {% if providerContactPerson != null and providerContactPerson.getVisibleContactInformations() != null and providerContactPerson.getVisibleContactInformations()|length > 0 %}
                        <div class="pageBreak" style="padding-right: 5px;">
                            <p class="inner_title">Anbieter / Kontaktperson</p>
                            <table>
                                {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::COMPANY_NAME').value in providerContactPerson.getVisibleContactInformations()|keys or constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::NAME').value in providerContactPerson.getVisibleContactInformations()|keys %}
                                <tr>
                                    {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::COMPANY_NAME').value in providerContactPerson.getVisibleContactInformations()|keys and providerContactPerson.getPerson().getPersonType().value == constant('App\\Domain\\Entity\\Person\\PersonType::COMPANY') %}
                                        <td colspan="2">
                                            <div class="value">{{ providerContactPerson.getPerson().getName() }}</div>
                                            <div class="label">Firma</div>
                                        </td>
                                    {% endif %}
                                    {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::NAME').value in providerContactPerson.getVisibleContactInformations()|keys %}
                                        <td colspan="2">
                                            <div class="value">
                                                {{ providerContactPerson.getPerson().getFirstName() }}
                                                {{ providerContactPerson.getPerson().getName() }}
                                            </div>
                                            <div class="label">Ansprechperson</div>
                                        </td>
                                    {% endif %}
                                </tr>
                                {% endif %}
                                {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::ADDRESS').value in providerContactPerson.getVisibleContactInformations()|keys %}
                                    <tr>
                                        <td colspan="2">
                                            <div class="value">
                                                {{ providerContactPerson.getPerson().getStreetName() }}
                                                {{ providerContactPerson.getPerson().getHouseNumber() }}
                                            </div>
                                            <div class="label">Straße, Hausnummer</div>
                                        </td>
                                        <td colspan="2">
                                            <div class="value">
                                                {{ providerContactPerson.getPerson().getPostalCode() }}
                                                {{ providerContactPerson.getPerson().getPlaceName() }}
                                            </div>
                                            <div class="label">PLZ, Ort</div>
                                        </td>
                                    </tr>
                                {% endif %}
                                {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::EMAIL').value in providerContactPerson.getVisibleContactInformations()|keys or constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::PHONE_NUMBER').value in providerContactPerson.getVisibleContactInformations()|keys %}
                                <tr>
                                    {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::EMAIL').value in providerContactPerson.getVisibleContactInformations()|keys %}
                                        <td colspan="2">
                                            <div class="value">{{ providerContactPerson.getPerson().getEmail() }}</div>
                                            <div class="label">E-Mail</div>
                                        </td>
                                    {% endif %}
                                    {% if constant('App\\Domain\\Entity\\Property\\VisibleContactInformation::PHONE_NUMBER').value in providerContactPerson.getVisibleContactInformations()|keys %}
                                    <td colspan="2">
                                        <div class="value">{{ providerContactPerson.getPerson().getPhoneNumber() }}</div>
                                        <div class="label">Telefon</div>
                                    </td>
                                    {% endif %}
                                </tr>
                                {% endif %}
                            </table>
                        </div>
                    {% endif %}
                </td>
            </tr>
        </table>
        {% if buildingUnit.getDescription() == null and buildingUnit.getPlaceDescription() == null %}
            {% set breakClass ='pageBreakLegal' %}
        {% else %}
            {% set breakClass ='pageBreak' %}
        {% endif %}
        {% if buildingUnit.getDescription() == null and buildingUnit.getPlaceDescription() == null %}
            {% set breakClass ='pageBreakLegal' %}
        {% else %}
            {% set breakClass ='pageBreak' %}
        {% endif %}
        <div class="pageBreak" style="padding-right: 5px; margin-bottom: 10pt; margin-top: 10pt;">
            <p class="inner_title">Ihre Kontaktperson bei der {{ buildingUnit.getAccount().getName() }}</p>
            <table>
                <tr>
                    <td colspan="2">
                        <div class="value">{{ accountContactPerson.getName() }}</div>
                        <div class="label">Ansprechperson</div>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        {% if accountContactPerson.getPlaceName() != null %}
                            <div class="value">
                                {{ accountContactPerson.getStreetName() }}
                                {{ accountContactPerson.getHouseNumber() }}
                            </div>
                            <div class="label">Straße, Hausnummer</div>
                        {% endif %}
                    </td>
                    <td colspan="2">
                        {% if accountContactPerson.getPlaceName() != null %}
                            <div class="value">
                                {{ accountContactPerson.getPostalCode() }}
                                {{ accountContactPerson.getPlaceName() }}
                            </div>
                            <div class="label">PLZ, Ort</div>
                        {% endif %}
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div class="value">{{ accountContactPerson.getEmail() }}</div>
                        <div class="label">E-Mail</div>
                    </td>
                    <td colspan="2">
                        {% if accountContactPerson.getPhoneNumber() != null %}
                        <div class="value">{{ accountContactPerson.getPhoneNumber() }}</div>
                        <div class="label">Telefon</div>
                        {% endif %}
                    </td>
                </tr>
            </table>
        </div>
        <div class="{{ breakClass }}" style="padding-right: 5px; margin-top: 0;">
            <p class="inner_title legal">Rechtliche Hinweise der {{ buildingUnit.getAccount().getName() }}</p>
            <p class="legal" style="margin-right:10pt;">
                {{ accountLegalTextsConfiguration.getPdfExposeDisclaimer() }}
            </p>
        </div>
        <div id="building_unit_map" class="map-data" data-loading-text="Lade Karte" data-building-unit-json-representation="{{ buildingUnitJsonRepresentation }}">
        </div>
    </div>
    <div style="width: 33%; float: right; margin-top: -12pt">
        {% if buildingUnit.getMainImage() != null %}
            <div class="object_images">
                <p class="inner_title" style="margin-top: 0pt;">Foto des Objekts</p>
                <img class="objekt-images" alt="" src="{{ base64_image_encode(buildingUnit.getMainImage.getFile()) }}">
            </div>
        {% endif %}
        <div class="object_images map-img" id="mikro-div">
            <p class="inner_title"{% if buildingUnit.getMainImage() == null %} style="margin-top: 0pt;"{% endif %}>Mikrolage</p>
            <img class="map-images" id="mikro-img" alt="" src="">
        </div>
        <div class="object_images map-img" id="makro-div">
            <p class="inner_title">Makrolage</p>
            <img class="map-images" id="makro-img" alt="" src="">
        </div>
        <div class="object_images" style="page-break-before:always;">
            {% if buildingUnit.getImages()|length > 1 %}
                <p class="inner_title">Weitere Bilder des Objekts</p>
            {% endif %}
            {% for image in buildingUnit.getImages()|slice(0, 4) %}
                {% if buildingUnit.getMainImage() != null and image != buildingUnit.getMainImage() %}
                    <img class="objekt-images" alt="" src="{{ base64_image_encode(image.getFile()) }}">
                    <p class="inner_title"></p>
                {% endif %}
            {% endfor %}
        </div>
        <div></div>
    </div>
</div>
<div id="footer">
    <div class="footerBorder"></div>
</div>
<div id="placeholder"></div>

{{ encore_entry_script_tags('property_vacancy_management/building_unit/pdf_expose') }}

</body>
</html>
